 @keyframes popup {
  0% {
    opactiy: 0;
    }
  50% {
    opacity: 0.5;
    }
  100% {
    opacity: 1;
    }
  }
@keyframes fade {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
@media print {
  body * {
     visibility: hidden;
  }
  #printDiv, #printDiv * {
     visibility: visible;
  }
  #printDiv {
     position: absolute;
     right: 3mm;
     top: 0;
     margin: auto;
     padding: 3mm;
     width: 70mm;
     box-sizing: border-box;
     font-size: 10pt;
  }
}

/* 
Room calendar table 
*/

/* scroll gallery buttons */

.overlay-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
}
.button-overlay {
  display: flex;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 3;
}
.arrow-container {
  width: 50px;
  height: 50px;
  background-color: rgba(255,255,255,0.5);
  border-radius: 50%;
  cursor: pointer;
}
.arrow-container.left {
  margin: 0 auto 0px 10px;
}
.arrow-container.right {
  margin: 0 10px 0px auto;
}
.arrow-button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  cursor: pointer;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  opacity: 0.9;
}
.arrow-button.left {
  background-image: url(/media/left-arrow-backup-2.svg);
}
.arrow-button.right {
  background-image: url(/media/right-arrow-backup-2.svg);
}

@media only screen and (max-width: 600px) {

  .arrow-container {
    width: 40px;
    height: 40px;  
  }
  .arrow-button {
    width: 30px;
    height: 30px;
 }
}

/* end */

.horizontal-menu {
  display: flex;
  flex-wrap: wrap;
  background-color: #fff;
}
.horizontal-menu button {
   margin: 10px auto;
   width: 140px;
}
.blue-link {
  color: dodgerblue;
  cursor: pointer;
}
/*
.horizontal-menu a {
  text-decoration: none;
  color: #000;
}
*/
/* horizontal-menu active link */
.horizontal-menu  .active {
  background-color: aliceblue;
  border: 1px solid #a9a9a9;
  border-bottom: none;
  color: #000;
}
.horizontal-menu .inactive {
  background-color: #fff;
  color: #666;
  border: none;
  border-top: 1px solid #a9a9a9;
  border-right: 1px solid #a9a9a9;
  border-left: 1px solid #a9a9a9;
  border-bottom: 1px solid #a9a9a9;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
 
}

/* media query only below 600px width */
@media only screen and (max-width: 600px) {

  .horizontal-menu > a {
    width: 100%;
    display: block;
  }
}

.horizontal-menu > a {
  font-size: 17px;
  text-align: center;
  color: #000;
  padding: 10px;
  flex: 1;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-color: #fff;
}

.horizontal-menu a:visited {
  text-decoration: none;
}
@media only screen and (max-width: 400px) {
  .horizontal-menu {
    display: block;
    height: auto;
  }
  .horizontal-menu > div {
    border-bottom: 1px solid #ccc;
    text-align: left;
    padding: 15px;
    margin: 0;
  }
}
@media only screen and (max-width: 500px) {
  .scroll-table {
    margin-top: 50px;
  }
}

.bg-no-repeat {
  background-repeat: no-repeat;
}
.bg-size-auto {
  background-size: auto;
}
.scroll-parent-container {
  /*
  display: flex;
  flex-wrap: wrap;
  */
}
.scroll-table {
  box-sizing: border-box;
  max-height: 700px;
  margin-bottom: 40px;
}
.scroll-table-header {
  box-sizing: border-box;
}
.scroll-table-body {
 box-sizing: border-box;
 height: 700px;
}
.scroll-table-data {
  box-sizing: border-box;
}
.scroll-sidebar {
  box-sizing: border-box;
  max-height: 700px;
  width: 50px;
  min-width: 50px;
}
.sq-cell-50-top {
  box-sizing: border-box;
  min-width: 52px;
  max-width: 52px;
  min-height: 52px;
  max-height: 52px;
  height: 52px;
  width: 52px;
  padding: 5px;
  border-right: 1px solid #dedede;
  border-top: 1px solid #dedede;
  border-bottom: 1px solid #dedede;
}
.sq-cell-25 {
  min-width: 25px;
  max-width: 25px;
  max-height: 25px;
  max-width: 25px;
  width: 25px;
  height: 25px;
  padding: 2px;
}
.sq-cell-50 {
  box-sizing: border-box;
  min-width: 52px;
  max-width: 52px;
  max-height: 52px;
  max-width: 52px;
  width: 52px;
  height: 52px;
  padding: 5px;
  border-right: 1px solid #dedede;
  border-bottom: 1px solid #dedede;
}
/* square headers for rect- table */
.sq-headers-cell-50 {
 min-width: 50px;
 max-width: 50px;
 min-height: 50px;
 max-height: 50px;
 box-sizing: border-box;
}
.rect-cell-h52-w80 {
 min-width: 80px;
 max-width: 80px;
 width: 80px;
 height: 80px;
 min-height: 52px;
 max-height: 52px;
 box-sizing: border-box;
}
/* header cell of side panel for rect - table */
.rect-header-left-corner-cell {
  box-sizing: border-box;
  min-width: 100px;
  max-width: 100px;
  min-height: 50px;
  max-height: 50px;
}
.rect-sidebar {
  box-sizing: border-box;
  width: 100px;
  min-width: 100px;
  max-width: 100px;
}
.rect-scroll-sidebar {
  box-sizing: border-box;
  width: 100px;
  min-width: 100px;
  max-width: 100px;
  overflow: hidden;
}
.rect-cell-side-panel {
  box-sizing: border-box;
  max-width: 100px;
  min-width: 100px;
  width: 100px;
  max-height: 80px;
  min-height: 80px;
  height: 80px;
}
.rect-cell {
  box-sizing: border-box;
  max-width: 50px;
  min-width: 50px;
  width: 50px;
  max-height: 80px;
  min-height: 80px;
  height: 80px;
}
.rect-cell-side-panel-h60 {
  box-sizing: border-box;
  max-width: 100px;
  min-width: 100px;
  width: 100px;
  max-height: 60px;
  min-height: 60px;
  height: 60px;
}
.rect-cell-h60 {
  box-sizing: border-box;
  max-width: 50px;
  min-width: 50px;
  width: 50px;
  max-height: 60px;
  min-height: 60px;
  height: 60px;
}
@media only screen and (min-width: 700px) {
  .search-bar > div {
    margin-left: auto;
    margin-right: auto;
  }
}
@media only screen and (min-width: 800px) {
  .scroll-parent-container {
    /*
      flex-wrap: wrap;
      */
  }
  .scroll-table {
    overflow: hidden;
  }
  .room-detail-box {
    min-width: 300px;
  }
  .scroll-table-header {
    overflow: hidden;
  }
  .scroll-table-body {
  }
  .scroll-table-data {
    overflow: hidden;
  }
  .scroll-sidebar {
    overflow: hidden;
  }
}
@media only screen and (man-width: 800px) {
  .scroll-table {
    width: 90%;
  }
}

@media only screen and (max-width: 799px) {

  .scroll-table {
    overflow: hidden;
  }
  .scroll-table-header {
    overflow: hidden;
  }
  .scroll-table-body {
    overflow: hidden;
  }
  .scroll-table-data {
    overflow: hidden;
  }
  .scroll-sidebar {
    overflow: hidden;
  }

}
.mini-table {
  margin: auto; 
}
.mini-table > div {
  width: 100%;
  border-bottom: 1px solid #ccc;
  display: flex;
  flex-wrap: nowrap;
  overflow-wrap: break-word;
}
.mini-table > div > div {
  width: 50%;
  padding: 5px;
}

@media only screen and (max-width: 400px) {
  .search-bar >  div > div{
    width: 90%;
    margin: 5px auto;
  }
}
@media only screen and (max-width: 800px) and (min-width: 600px) {
  .room-detail-box {
    padding: 10px;
  }
}
@media only screen and (min-width: 801px) {

}
.box-center-600-wide {
  margin-left: auto;
  margin-right: auto;
  width: 600px;
  margin-bottom: 50px;
}
@media only screen and (max-width: 600px) {
 .box-center-600-wide {
   width: 90%;
 }
}
.basic-table {
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  box-sizing: border-box;
}
.table-title {
  font-size: 25px;
  background-color: #f3928c;
  color: #fff;
  text-align: center;
  padding: 10px 0 10px 0;
}
.table-sub-title {
  padding: 8px 0 8px 0;
  font-size: 18px;
  text-align: center;
}
.basic-table .top-row {
  display: flex;
  flex-wrap: wrap;
  padding: 8px 0 8px 0;
  text-align: center;
  box-sizing: border-box;
}
.basic-table > .top-row > .cell {
  border: 0;
  
}
.basic-table .row {
  display: flex;
  flex-wrap: wrap;
  text-align: center;
  width: 100%;
  border-bottom: solid 1px #ccc;
  box-sizing: border-box;
}
.basic-table  .row  .cell {
  margin-left: auto;
  margin-right: auto;
  padding: 8px 0 8px 0;
  width: 150px;
}
.basic-table .top-row .cell {
  margin-left: auto;
  margin-right: auto;
  width: 150px;
  padding: 8px 0 8px 0;
}
.basic-table .row .w-a {
  width: 50%;
  text-align: left;
}
.w40 {
  width: 40%;
}
.w48 {
  width: 48%;
}
.w50 {
  width: 50%;
}
.w80 {
  width: 80%;
}
.w20 {
  width: 20%;
}
.w23 {
  width: 23%;
}
.w25 {
  width: 25%;
}
.w75 {
  width: 75%;
}
.w70 {
  width: 70%;
}
.w30 {
  width: 30%;
}
.wid-10pc {
  width: 10%;
}
.top-bar {
  margin-left: 0;
 }
.side-menu {
  width: 200px;
  height: 100%;
  background-color: #000;
  color: #fff;
  position: fixed;
  top: 0;
  left: 0;
  padding-left: 0;
}
.side-menu ul {
  list-style-type: no-none;
  margin-top: 200px;
  margin-left: 15px;
}
.side-menu li {
  padding: 0 0 15px 5px;
  font-size: 18px;
}
.side-menu a {
  color: #fff;
  text-decoration: none;
}
.side-menu a:visited {
  color: #fff;
  text-decoration: none;
}
.title-1 {
  text-align: right;
  font-size: 28px;
}
.float-title {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  margin-left: auto;
  margin-right: 10px;
  text-align: center;
  min-width: 250px;
}
@media only screen and (max-width: 600px) {
  .float-title {
    margin-left: auto;
    margin-right: auto;
  }
}
.error-notice {
  color: red;
  font-size: 18px;
  padding: 10px 0 10px 0;
  margin-top: 5px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 5px;
  text-align: center;
}
.floating-div {
  background-color: #fff;
  position: absolute;
  z-index: 1001;
  animation-name: popup;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
  animation-play-state: running;
  opacity: 0.1;
  box-shadow: 7px 7px 30px #222;
 }
section {
  display: none;
  background-color: #fff;
  position: fixed;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  animation-name: popup;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
  animation-play-state: running;
  opacity: 0.1;
  box-shadow: 7px 7px 30px #222;
 }
 .popup-message {
  padding: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  font-size: 24pt;
  color: #000;
  text-align: center;
 }
  .popup-message a {
   text-decoration: none;
   color: #000;
   font-weight: bold;
 }
 .popup-message a:visited {
  text-decoration: none;
  color: #000;
  font-weight: bold;
 }
 .popup-close {
  font-size: 30pt;
  color: #000;
  float: right;
  padding: 5px 15px 5px 5px;
 }
.vertical-scroll-container {
  overflow: auto;
  padding: 0;
  margin-top: 0;
/*
  min-height: 200px;
  border-bottom: 1px solid #989898;
*/
}
.vertical-scroll-list-cell {
  min-width: 150px;
  max-width: 150px;
  /*
  min-height: 40px;
  max-height: 40px;
  */
  overflow: hidden;
  margin: 0 auto;
  padding: 8px 8px;
  text-align: center;
  font-size: 14px;
}
.vertical-scroll-list-header-cell {
    min-width: 150px;
    max-width: 150px;
    padding: 10px 5px 10px 0px;
    text-align: center;
    font-size: 15px;
    margin-left: auto;
    margin-right: auto;
}
.vertical-scroll-list-header-cell:hover {
  background-color: #005151;
}
.vertical-scroll-list-header-cell.sorted-asc {
    background-image: url(https://samahita-media.ams3.cdn.digitaloceanspaces.com/media/svg/up-arrow-white.svg);
    background-position: center right;
    background-repeat: no-repeat;
    background-size: 10px 10px;
    background-origin: content-box;
}

.vertical-scroll-list-header-cell.sorted-desc {
    background-image: url(https://samahita-media.ams3.cdn.digitaloceanspaces.com/media/svg/down-arrow-white.svg);
    background-position: center right;
    background-repeat: no-repeat;
    background-size: 10px 10px;
    background-origin: content-box;
}

.vertical-scroll-list-cell-100 {
  box-sizing: border-box;
  min-width: 100px;
  max-width: 100px;
  /*
  min-height: 40px;
  max-height: 40px;
  */
  overflow: hidden;
  margin: 0 auto;
  padding: 8px 8px;
  text-align: center;
  font-size: 14px;
}
.vertical-scroll-list-header-cell-100 {
    box-sizing: border-box;
    min-width: 100px;
    max-width: 100px;
    margin: auto;
    padding: 5px 8px;
    text-align: center;
    font-size: 15px;
}
.vertical-scroll-list-row {
  animation-name: fade;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
  animation-play-state: running;
  display: flex;
  flex-wrap: nowrap;
  margin: 1px 0;
  cursor: pointer;
}
.vertical-scroll-list-headers {
  display: flex;
  flex-wrap: nowrap;
  /* border-bottom: 1px solid #ccc; */
  cursor: pointer;
  color: #fff;
  overflow: hidden;
}
.side-scroll-title {
  font-size: 30px;
  background-color: #efefef;
  color: #666666;
  margin-top: 50px;
  padding: 10px 0 0 0;
  text-align: center; 
}
.side-scroll-container {
  overflow: auto;
  padding: 20px 0 20px 0;
  display: flex;
  flex-wrap: nowrap;
  margin-top: 0;
  min-height: 270px;
}
 .side-scroll-outer-box {
 opacity: 0;
 animation-name: fade;
 animation-duration: 0.8s;
 animation-fill-mode: forwards;
 animation-play-state: running;
 display: inline-block;
 margin-left: auto;
 margin-right: auto;
 box-sizing: border-box;
}
.side-scroll-inner-box {
 background-color: #fff;
 min-height: 330px;
 margin-left: 10px;
 margin-right: 10px;
 border-bottom-left-radius: 10px;
 border-bottom-right-radius: 10px;
 padding: 10px;
 box-sizing: border-box;
}
@media only screen and (min-width: 401px) {
 .side-scroll-inner-box {
   min-width: 270px;
   max-width: 270px;
 }
}
@media only screen and (max-width: 400px) {
  .side-scroll-inner-box {
  }
  .side-scroll-header {
    width: 100%;
  }
  .side-scroll-outer-box {
    width: 100%;
  }
} 
.side-scroll-inner-header {
 border-top-left-radius: 10px;
 border-top-right-radius: 10px;
 min-width: 270px;
 margin-left: 10px;
 margin-right: 10px;
}
.block-selector-container {
  display: flex;
  border-top: 1px solid #989898;
  border-bottom: 1px solid #989898;
}
.block-selector {
  padding: 10px;
}
.block-selector div {
}
.block-selector label {
  width: 50px;
}
.block-selector > div > label {
  width: 50px;
}
@media only screen and (min-width: 601px) {
  .block-selector-container {
    flex-wrap: no-wrap;
  }
  .block-selector input[type=text] {
    width: 100px;
  }
  .block-selector select {
    width: 120px;
  }
  .block-selector {
    width: 50vw;
  }
}
@media only screen and (max-width: 600px) {
  .block-selector-container {
    flex-wrap: wrap;
  }
  .block-selector input[type=text] {
    width: 100px;
  }
  .block-selector select {
    width: 120px;
  }
  .block-selector {
    width: 100vw;
  }
}
.sq-form {

}
.sq-form > div {
}
.selector {
  padding: 12px;
  margin-top: 10px;
  margin-bottom: 10px;
  /* display: flex;
  flex-wrap: wrap;
  */
} 
.selector select {
  background-color: #ffffff;
  padding-top: 8px;
  padding:left: 8px;
  padding-bottom: 8px;
  outline: none;
  margin: 5px 5px 5px 0;
}
.selector  input {
  padding: 8px;
  margin: 5px 5px 5px 0;
  outline: none;
}

@media only screen and (min-width: 501px) {
  .selector select {
    width: 215px;
  }
  .selector input {
    width: 215px;
  }
}
@media only screen and (max-width: 500px) {
  .selector select {
    width: 100%;
  }
  .selector input {
    width: 100%;
  }
  .mob-width-100pc {
    width: 100%;
  }
}  

.bg-transparent {
  background-color: rgb(0,0,0,0);
}
.bg-emerald {
  background-color: #47857d;
}
.bg-seafoam {
  background-color: #90b5b6;
}
.brk-all {
  word-break: break-all;
}
.simple-flex-box {
  display: flex;
  flex-wrap: wrap;
}
.simple-flex-box > .centered-row {
  margin-left: auto;
  margin-right: auto;
  padding: 5px;
}
.centered-row > div {
  text-align: center;
  padding: 5px;
}
.centered-row > .tr {
  font-size: 14px;
  font-weight: bold;
}
.detail-container > .detail-item {
  opacity: 0;
  animation-name: fade;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
  animation-play-state: running;
  background-color: #fff;
  margin: 0 10px 10px 10px;
  padding: 20px;
  border-radius: 10px;
  min-height: 250px;
}
.no-shad {
  box-shadow: none;
}
